# YouTube Data API . videoAbuseReportReasons

## Instance Methods

Returns a list of abuse reasons that can be used for reporting abusive videos.

### Method Details

`list(part, hl=None)`

    Returns a list of abuse reasons that can be used for reporting abusive videos.

    Args:
      part: string, The part parameter specifies the videoCategory resource parts that the API response will include. Supported values are id and snippet. (required)
      hl: string, The hl parameter specifies the language that should be used for text values in the API response.

    Returns:
      An object of the form:

        {
        "eventId": "A String", # Serialized EventId of the request which produced this response.
        "items": [ # A list of valid abuse reasons that are used with video.ReportAbuse.
          { # A videoAbuseReportReason resource identifies a reason that a video could be reported as abusive. Video abuse report reasons are used with video.ReportAbuse.
            "snippet": { # Basic details about a video category, such as its localized title. # The snippet object contains basic details about the abuse report reason.
              "secondaryReasons": [ # The secondary reasons associated with this reason, if any are available. (There might be 0 or more.)
                {
                  "id": "A String", # The ID of this abuse report secondary reason.
                  "label": "A String", # The localized label for this abuse report secondary reason.
                },
              ],
              "label": "A String", # The localized label belonging to this abuse report reason.
            },
            "kind": "youtube#videoAbuseReportReason", # Identifies what kind of resource this is. Value: the fixed string "youtube#videoAbuseReportReason".
            "etag": "A String", # Etag of this resource.
            "id": "A String", # The ID of this abuse report reason.
          },
        ],
        "kind": "youtube#videoAbuseReportReasonListResponse", # Identifies what kind of resource this is. Value: the fixed string "youtube#videoAbuseReportReasonListResponse".
        "etag": "A String", # Etag of this resource.
        "visitorId": "A String", # The visitorId identifies the visitor.
      }